// this is the code for the starting screen i.e the welcome screen which
//wil have the blinking text  and is called the SCREEN 1. It is called at
//the beginning of the actual code i.e CHAR_REC.c   This file is included
// in the actual code file.

int screen1()     // function for all working of screen 1 and returns
{                      //buttons status .
   int status;

   hide_mouse();  // to hide the mouse pointer
   cleardevice();  // to clear the screen
   display_name();          // to display the heading of the project.
   display_buttons();      //to display the three buttons.
   draw_border();     //To display the border
   show_mouse();      // to display the mouse cursor
   status=check_status(); //status gets the value returned i.e button clicked
  return status;   // returns the value returned from the switch case at end
}

draw_border()   //function to display the outer rectangles (two)
{
  setbkcolor(BLUE);       //sets the background color(brown)
  setcolor(WHITE);
  setlinestyle(0,0,2);        // set the line style to solid line
  rectangle(0,0,getmaxx(),getmaxy()); //draw rectangle to cover the screen
  rectangle(5,5,getmaxx()-5,getmaxy()-5); //draw another rectangle
  return 0;
}


display_name() //to display the heading of the project
{

   settextstyle(7,0,3);
   setcolor(DARKGRAY); //set color for the heading to be drawn in shadow effect
   outtextxy(25,23,"  CHARACTER  RECOGNITION  SOFTWARE (CRS)");//display heading
   setcolor(YELLOW);
   outtextxy(22,20,"  CHARACTER  RECOGNITION  SOFTWARE (CRS)");
   setcolor(WHITE);
   line(5,70,getmaxx()-5,70);  //lines under the heading (CAN FILL THEM)
   line(5,75,getmaxx()-5,75);
   return 0;

}

display_buttons()
{
  button(max_x/2-5-80,max_y/2-40-20,max_x/2-5+80,max_y/2-40+20,WHITE,DARKGRAY,LIGHTGRAY);// for main program button
  button(max_x/2-5-80,max_y/2-40+40,max_x/2-5+80,max_y/2-40+80,WHITE,DARKGRAY,LIGHTGRAY);//team members button
  button(max_x/2-5-80,max_y/2-40+100,max_x/2-5+80,max_y/2-40+140,WHITE,DARKGRAY,LIGHTGRAY); //help button
  button(max_x/2-5-80,max_y/2-40+160,max_x/2-5+80,max_y/2-40+200,WHITE,DARKGRAY,LIGHTGRAY); //exit button

  // displaying the labels of the buttons
  setcolor(BLUE);
  settextstyle(1,0,2);
  outtextxy(max_x/2-5-80-10,max_y/2-40-20+10,"  Main Program");
  outtextxy(max_x/2-5-80-10,max_y/2-40+40+10,"  Submitted By");
  outtextxy(max_x/2-5-80+50,max_y/2-40+100+10,"Help....");
  outtextxy(max_x/2-5-80+50,max_y/2-40+160+10,"Exit ");
  setcolor(WHITE);
  return 0;
}
// to draw buttons with look of 3d
button(int x1,int y1,int x2,int y2,int c1,int c2,int c3)
{
  setfillstyle(1,c3);// set solid fill style and fill the button
  bar(x1,y1,x2,y2);
  setcolor(c1);     // draw 3 rectangles of white color around the button
  rectangle(x1-1,y1-1,x2+1,y2+1);
  rectangle(x1-2,y1-2,x2+2,y2+2);
  rectangle(x1-3,y1-3,x2+3,y2+3);
  setcolor(c2);             // three lines in dark gray color in a way that
  line(x2+1,y1-1,x2+1,y2+3); // it appears that they are sliced at the ends
  line(x2+2,y1-2,x2+2,y2+3); // in inclined way
  line(x2+3,y1-3,x2+3,y2+3); // 3 rectangles are taken for different lengths of the lines
  setcolor(c2);
  line(x1-1,y2+1,x2+3,y2+1);
  line(x1-2,y2+2,x2+3,y2+2); // upper three lines for left side & lower ones for bottom
  line(x1-3,y2+3,x2+3,y2+3);
  return 0;
}

// same as button above with the difference of colors to show pressed buttons
press_button(int x1,int y1,int x2,int y2,int c1,int c2)
{
  setcolor(c1);
  rectangle(x1-1,y1-1,x2+1,y2+1);
  rectangle(x1-2,y1-2,x2+2,y2+2);
  rectangle(x1-3,y1-3,x2+3,y2+3);
  setcolor(c2);             // three lines in light gray color in a way that
  line(x2+1,y1-1,x2+1,y2+3); // it appears that they are sliced at the ends
  line(x2+2,y1-2,x2+2,y2+3); // in inclined way (not in rectangular ends
  line(x2+3,y1-3,x2+3,y2+3); // 3 rectangles are taken for different lengths of the lines
  setcolor(c2);
  line(x1-1,y2+1,x2+3,y2+1);
  line(x1-2,y2+2,x2+3,y2+2); // upper three lines for left side & lower ones for bottom
  line(x1-3,y2+3,x2+3,y2+3);
  return 0;
}


int check_status()
{
   int button;

   while(1)
    {
       i.x.ax=3;     //to get status of buttons and x & y coordinate
       int86(0x33,&i,&o);
       button=o.x.bx;  //output
       x=o.x.cx;
       y=o.x.dx;

       if((button & 1)==1)//ANDing button and 1 to get status of buttons
	 {                //this loop runs only if left button is clicked
	    if(Char_Recog)     //if first button clicked
	       {
		 hide_mouse();
		 press_button(max_x/2-5-80,max_y/2-40-20,max_x/2-5+80,max_y/2-40+20,DARKGRAY,LIGHTGRAY);
		 show_mouse();
		 delay(200);
		 prog_start();
		 return 1;  //returns 1 when the user returns after using the software
	       }        //if user clicks main program and uses it. when it returns
		 // by clicking the back button the program returns 1 to status variable
		 // which returns that to main program and it again calls screen function so loop continues

	    else if(Team_Mem)
	       {
		 hide_mouse();
		 press_button(max_x/2-5-80,max_y/2-40+40,max_x/2-5+80,max_y/2-40+80,DARKGRAY,LIGHTGRAY);
		 show_mouse();
		 delay(200);
		 team_mem(); // called when team members button is clicked
		 return 1;
	       }
	    else if(Help)
	      {
		 hide_mouse();
		 press_button(max_x/2-5-80,max_y/2-40+100,max_x/2-5+80,max_y/2-40+140,DARKGRAY,LIGHTGRAY);
		 show_mouse();
		 delay(200);
		 help();  // when help button is clicked
		 return 1;
	      }
	    else if(Exit)
	       {
		  hide_mouse();
		  press_button(max_x/2-5-80,max_y/2-40+160,max_x/2-5+80,max_y/2-40+200,DARKGRAY,LIGHTGRAY);
		  show_mouse();
		  delay(200);
		  return 4;
	       }
	 }

    }
}


// FUNCTION TO DISPLAY HELP REGARDING THE SOFTWARE

help()
{
  hide_mouse();//to hide the mouse before clearing the screen
  cleardevice(); // clear the screen
  draw_border();      //border as in screen1 called from WELCOME.c
  display_name();    //diaply heading as in screen1 from WELCOME.c
  display_help(); // to display the contents
  show_mouse();   // to redisplay the mouse cursor
  control_part();  // to catch the back button action
  return 0;
}


  display_help()
{
  button(20,85,max_x-20,max_y-50,DARKGRAY,DARKGRAY,LIGHTGRAY);
  setcolor(BLUE);

   outtextxy(max_x/2-100,88,"USER'S GUIDE");
   settextstyle(3,0,1);

  setcolor(12);
  outtextxy(25,88+20,                           "CHARACTER RECOGNITION IS THE SOFTWARE THAT RECOGNISES");
  outtextxy(25,88+20+20,                        "THE CHARACTER DRAWN BY THE USER IN THE DRAW AREA PROVIDED.");
  outtextxy(25,88+20+20+20,                     "THE WHOLE PROCESS IS VERY SIMPLE.THE USER CAN DIRECTLY ");
  outtextxy(25,88+20+20+20+20,                  "DRAW THE CHARACTER IN THE DRAW AREA AND PRESS RECOGNIZE");
  outtextxy(25,88+20+20+20+20+20,               "BUTTON.THE RESULT MESSAGE IS DISPLAYED IN THE RESULT ");
  outtextxy(25,88+20+20+20+20+20+20,            "WINDOW,BUT IDEALLY THE USER MUST FIRST ACQUAINT THE ");
  outtextxy(25,88+20+20+20+20+20+20+20,                    "SOFTWARE WITH THE CHARACTER.THIS IS DONE BY FIRST");
  outtextxy(25,88+20+20+20+20+20+20+20+20,                 "PRESSING THE TEACH BUTTON.THEN AFTER ENTERING THE");
  outtextxy(25,88+20+20+20+20+20+20+20+20+20,              "CHARACTER IN THE RESULT WINDOW DRAW THE CHARACTER");
  outtextxy(25,88+20+20+20+20+20+20+20+20+20+20,           "IN THE TEACH AREA.AFTER THIS PRESS THE TEACH BUTTON");
  outtextxy(25,88+20+20+20+20+20+20+20+20+20+20+20,        "AGAIN SO THAT THE SOFTWARE STORES THE CHARACTER IN ");
  outtextxy(25,88+20+20+20+20+20+20+20+20+20+20+20+20,     "ITS DATABASE. THE RESULT OF THE RECOGNIZE ACTION INCLUDES");
  outtextxy(25,88+20+20+20+20+20+20+20+20+20+20+20+20+20,  "THE PERCENTAGE MATCH WITH THE APPROXIMATE CHARACTER ");
  outtextxy(25,88+20+20+20+20+20+20+20+20+20+20+20+20+20+20,"RECOGNISED CHARACTER CAN BE STORED BY PRESSING THE STORE");
  outtextxy(25,88+20+20+20+20+20+20+20+20+20+20+20+20+20+20+20,"BUTTONCLEAR BUTTON HELPS TO CLEAR THE DRAWING AREAS");
  button(max_x/2+65+100,max_y/2+115+20+10+20+10+20+10,max_x-5-50,max_y/2+115+20+10+20+10+20+10+20,WHITE,DARKGRAY,LIGHTGRAY);
  settextstyle(1,0,1);
  setcolor(BLUE);
  outtextxy(max_x/2+65+100+5,max_y/2+115+20+10+20+10+20+10-2,"  Back...."); //for back button
  return 0;
}


//FUNCTION CALLED WHEN ABOUT US button IS CLICKED . IT DISPLAYS THE TEAM GUIDE AND THE NAME OF THE
// PROJECT DEVELOPERS

team_mem()
{

 hide_mouse();//to hide the mouse before clearing the screen
 cleardevice(); // clear the screen
 draw_border();      //border as in screen1 called from WELCOME.c
 display_name();    //diaply heading as in screen1 from WELCOME.c
 display_team();    //display information of the team members
 show_mouse();
 control_part();    // active part of the screen to respond to button click
 return 0;
}

display_team()
{
  settextstyle(7,0,2);
  setcolor(DARKGRAY);
  outtextxy(130+2,75+10+2,"  M A J O R    P R O J E C T");
  setcolor(12);
  outtextxy(130,75+10,"  M A J O R    P R O J E C T");

  setfillstyle(1,LIGHTGRAY);
  setcolor(DARKGRAY);
  fillellipse(80,75+10+100,70,30);
  setcolor(12);
  outtextxy(50,75+10+70+5," Team");
  outtextxy(40,75+10+85+10,"Members");

  setcolor(DARKGRAY);
  fillellipse(80,75+100+150+15,70,30);
  setcolor(12);
  outtextxy(40,75+100+145,"Project");
  outtextxy(40,75+100+165," Guide");

  button(170,75+10+100-30,max_x-10,75+10+150,DARKGRAY,DARKGRAY,LIGHTGRAY);
  settextstyle(7,0,1);
  setcolor(BLUE);
  outtextxy(170,75+10+100-30+5,"Saurabh Bhatia  1700156  B.Tech(8th Sem) I.T");
  outtextxy(170,75+10+100-30+40,"Anil Panghal 1700138  B.Tech(8th Sem) I.T");

  button(170,75+10+100+200-30-50,max_x-10,75+10+200+100+50-50,DARKGRAY,DARKGRAY,LIGHTGRAY);
  setcolor(BLUE);
  outtextxy(170+120,75+10+100+200-30-50+5," Er. Vishal Verma");
  outtextxy(170+85,75+10+100+200-30-50+30,"  Lecturer (I.T Department)");
  outtextxy(170+110,75+10+100+200-30-50+55," H.C.T.M KAITHAL ");

  button(max_x/2+65+100,max_y/2+115+20+10+20+10+20+10,max_x-5-50,max_y/2+115+20+10+20+10+20+10+20,WHITE,DARKGRAY,LIGHTGRAY);
  setcolor(BLUE);
  settextstyle(1,0,1);
  outtextxy(max_x/2+65+100+5,max_y/2+115+20+10+20+10+20+10-2,"  Back...."); //for back button

  return 0;
}

control_part()  //for the functioning of help screen so that the only way to go
{            // back is by pressing the button
 int button;
 int flag=1;      //to check for exit from the loop
 while(flag==1)
  {
     i.x.ax=3;            //call interrupt to find button status and x and
     int86(0x33,&i,&o);    //y coordinate position.
     button=o.x.bx;
     x=o.x.cx;
     y=o.x.dx;
     if((button & 1)==1)
       {                     //if left down and on Back then return from the
	 if(Back)            //function and back to screen 1
	   {
	     press_button(max_x/2+65+100,max_y/2+115+20+10+20+10+20+10,max_x-5-50,max_y/2+115+20+10+20+10+20+10+20,DARKGRAY,LIGHTGRAY);
	     delay(200);
	     flag=0;           //by setting flag = 0.
	   }
       }
  }
 return 0;
}
